Ubuntu: Unable to install r-base in ubuntu16



Question:

I have removed my R 3.2 version in ubuntu16 and tried to install a new version (R 3.4). I have a problem with the installation because I am no able to re-install the r-base. here is the error: Lecture des listes de paquets... Fait Construction de l'arbre des dépendances
Lecture des informations d'état... Fait Certains paquets ne peuvent être installés. Ceci peut signifier que vous avez demandé l'impossible, ou bien, si vous utilisez la distribution unstable, que certains paquets n'ont pas encore été créés ou ne sont pas sortis d'Incoming. L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites : r-base : Dépend: r-base-core (>= 3.4.2-2zesty) mais ne sera pas installé Dépend: r-recommended (= 3.4.2-2zesty) mais ne sera pas installé Recommande: r-base-html mais ne sera pas installé E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Could you help me because I am lost for that. Thank you in advance


after this code: apt-cache policy r-base-core r-recommended, here the output:

r-base-core:    Installé : (aucun)    Candidat : 3.4.2-2zesty   Table de version :       3.4.2-2zesty 500          500 https://stat.ethz.ch/CRAN/bin/linux/ubuntu zesty/ Packages       3.4.2-2xenial2 500          500 http://ppa.launchpad.net/marutter/rrutter/ubuntu xenial/main amd64 Packages       3.4.2-1zesty1 500          500 https://stat.ethz.ch/CRAN/bin/linux/ubuntu zesty/ Packages       3.4.1-2zesty0 500          500 https://stat.ethz.ch/CRAN/bin/linux/ubuntu zesty/ Packages       3.4.1-1zesty0 500          500 https://stat.ethz.ch/CRAN/bin/linux/ubuntu zesty/ Packages       3.4.0-1zesty 500          500 https://stat.ethz.ch/CRAN/bin/linux/ubuntu zesty/ Packages       3.2.5-1precise0 500  


Solution:1

On my Ubuntu 16.04.3 LTS I installed R from R-Cran with the following actions

cat <<EOF | sudo tee /etc/apt/sources.list.d/r-cran.list  deb https://cloud.r-project.org/bin/linux/ubuntu xenial/    EOF    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E084DAB9    sudo apt-get update    sudo apt-get install r-base-dev  

But at first you should determine from where you got packages from zesty. Or simple remove them with sudo apt-get purge r-base r-base-core r-recommended.

Update 1: First of all: if you use Ubuntu 16.04 (xenial) you should not use packages from 17.04 (zesty). You should find packages installed from zesty (for example with Synaptic in Origin tab), then disable it in /etc/apt/sources.list. Also I recommend to remove marutter PPA with sudo ppa-purge ppa:marutter/rrutter. Then start over.

Update 2: Try to find other R packages from zesty with dpkg -l | grep zesty and carefully remove them with apt-get purge. Please update your question with output of ls -alt /etc/apt/sources.list.d/*.list.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »